## xpaint-3.1.4.tar.lz

=== util/Makefile ===

# set to anything but "no" to enable
# WITH_PGF=no
WITH_PGF=yes

ifneq ($(WITH_PGF),no)
all: pdfconcat ppmtops pgf2pnm
else
all: pdfconcat ppmtops
endif

pdfconcat:
	$(CC) $(CFLAGS) -O3 -s -DNDEBUG=1 -DNO_CONFIG=1 -ansi -pedantic -Wunused -Wall -W -Wnested-externs -Winline -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wmissing-prototypes -Wmissing-declarations pdfconcat.c -o pdfconcat

ppmtops:
	$(CC) $(CFLAGS) ppmtops.c -o ppmtops

ifneq ($(WITH_PGF),no)
pgf2pnm: main.cpp pnm.cpp
	@if [ -x /usr/include/libpgf ] ; then \
	$(CXX) $(CXXFLAGS) -fpermissive -c main.cpp -o main.o -I/usr/include/libpgf ; \
	$(CXX) $(CXXFLAGS) -fpermissive -c pnm.cpp -o pnm.o -I/usr/include/libpgf ; \
	$(CXX) $(CXXFLAGS) -fpermissive -o pgf2pnm main.o pnm.o $(LDFLAGS) -lpgf ; \
	else \
	echo "libpgf not installed !!" ; \
	fi
endif

install-common:
	@if [ -x pdfconcat ] ; then \
	mkdir -p "$(DESTDIR)"/usr/bin ; \
	install -c pdfconcat $(DESTDIR)/usr/bin ; \
	echo "install -c pdfconcat $(DESTDIR)/usr/bin" ; \
	mkdir -p "$(DESTDIR)"/usr/share/man/man1 ; \
	install -c -m 644 pdfconcat.1 "$(DESTDIR)"/usr/share/man/man1 ; \
	echo "install -c pdfconcat.1 "$(DESTDIR)"/usr/share/man/man1" ; fi
	@if [ -x ppmtops ] ; then \
	mkdir -p "$(DESTDIR)"/usr/bin ; \
	install -c ppmtops "$(DESTDIR)"/usr/bin ; \
	echo "install -c ppmtops "$(DESTDIR)"/usr/bin" ; fi

install-pgf:
	@if [ -x pgf2pnm ] ; then \
	mkdir -p "$(DESTDIR)"/usr/bin ; \
	install -c pgf2pnm "$(DESTDIR)"/usr/bin ; \
	echo "install -c pgf2pnm "$(DESTDIR)"/usr/bin" ; fi

ifneq ($(WITH_PGF),no)
install: install-common install-pgf
else
install: install-common
endif

clean:
	rm -f core *~ *.o pdfconcat ppmtops pgf2pnm

cleandir: clean

distclean: clean

=== vxp2ps/Makefile ===
CFLAGSEXTRA = $(shell if [ -r /usr/lib/libdvipgm.so ] ; then echo "-DHAVE_DVIPGM -ldvipgm" ; fi)

all: vxp2ps vxp2tex vxp2dkw

vxp2ps: vxp2ps.c
	gcc vxp2ps.c -o vxp2ps -lm $(CFLAGSEXTRA)

vxp2tex: vxp2tex.c
	gcc vxp2tex.c -o vxp2tex -lm

vxp2dkw: vxp2dkw.c
	gcc vxp2dkw.c -o vxp2dkw -lm

install: all
	install -c -s vxp2ps vxp2tex vxp2dkw "$(DESTDIR)"/usr/bin

clean:
	rm -f core *~ vxp2ps vxp2tex vxp2dkw

cleandir:
	rm -f core *~ vxp2ps vxp2tex vxp2dkw

=== util/ico2png/Makefile ===
CFLAGS = -Wall -g -O2 

ico2png:
	gcc $(CFLAGS) ico2png.c -o ico2png -lm -lpng -lz

clean:
	rm -f ico2png *~ core

=== changelog ===
xpaint (3.1.4-1) unstable; urgency=low

  * New upstream release.

  * arcOp.c : the DrawArc procedure now checks that the arc is not
    drawn with a zero linewidth - otherwise some pixels could have
    been missing, and any later fill area procedure could then have
    led to unexpected results. This minor bug (or misbehavior?)
    has been fixed.

  * image.c : if installed, dvipng can now be used as an alternative
    to the libdvipgm library, at the expense of a small slowdown
    in the output. This allows TeX input even without libdvipgm
    installed, dvipng being installable independently.

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Sat, 14 Aug 2021 16:08:14 +0100

xpaint (3.1.3-1) unstable; urgency=low

  * New upstream release.

  * graphic.c : the "Text" menu has been substantially improved.
    Text and TeX/LaTeX input of arbitrary length, size, color can
    now be edited and converted to either a bitmap image or vector
    PostScript/PDF with embedded fonts.

  * More extensive testing - and a lot of small details fixed

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Fri, 12 Feb 2021 21:08:14 +0100

xpaint (3.1.2-1) unstable; urgency=low

  * New upstream release.

  * Small improvement of versions 3.1.0, 3.1.1 with bug fixes.
    Xpaint can now be compiled without dvipgm (at the expense of
    losing some TeX functionality). Thanks to testers for feedback!

  * This version supports the use of layers (files *.lxp =
    Layered XPaint files). This is done via the C script editor.
    Any collection of images can be merged into a new merged
    image by a suitable C procedure. See example in directory
    share/c_scripts/templates/

  * xpaintrw/readLXP.c : routines for reading LXP files

  * iprocess.c : routines for the creation of LXP files

  * image.c : ImageDup() procedure added

  * operation.c : new option for cleaning temporary files

  * This version has reached all capabilities that had been planned
    since a long time: layer handling, vector graphics operations,
    possibility of TeX input and of mathematical drawings,
    programmatic creation of images, filters and graphical functions.
    Therefore Xpaint will probably enter into maintainance and
    bug correction mode ...

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Thu, 28 Jan 2021 16:28:31 +0100

xpaint (3.1.1-1) unstable; urgency=low

  * New upstream release.

  * Small improvement of version 3.1.0 with bug fixes.

  * This version supports the use of layers (files *.lxp =
    Layered XPaint files). This is done via the C script editor.
    Any collection of images can be merged into a new merged
    image by a suitable C procedure. See example in directory
    share/c_scripts/templates/

  * xpaintrw/readLXP.c : routines for reading LXP files

  * iprocess.c : routines for the creation of LXP files

  * image.c : ImageDup() procedure added

  * operation.c : new option for cleaning temporary files

  * This version has reached all capabilities that had been planned
    since a long time: layer handling, vector graphics operations,
    possibility of TeX input and of mathematical drawings,
    programmatic creation of images, filters and graphical functions.
    Therefore Xpaint will probably enter into maintainance and
    bug correction mode ...

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Wed, 27 Jan 2021 16:28:31 +0100

xpaint (3.1.0-1) unstable; urgency=low

  * New upstream release.

  * This version now supports the use of layers (files *.lxp =
    Layered XPaint files). This is done via the C script editor.
    Any collection of images can be merged into a new merged 
    image by a suitable C procedure. See example in directory
    share/c_scripts/templates/

  * xpaintrw/readLXP.c : routines for reading LXP files

  * iprocess.c : routines for the creation of LXP files

  * image.c : ImageDup() procedure added

  * operation.c : new option for cleaning temporary files

  * This version has reached all capabilities that had been planned
    since a long time: layer handling, vector graphics operations,
    possibility of TeX input and of mathematical drawings,
    programmatic creation of images, filters and graphical functions.
    Therefore Xpaint will probably enter into maintainance and
    bug correction mode ...

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Sun, 24 Jan 2021 16:28:31 +0100

xpaint (3.0.4-1) unstable; urgency=low

  * New upstream release.

  * This version has acquired substantial vector drawing capabilities.
    Just open 'Options->VXP vector data Editor' to enable vector
    drawing operations. Most of them are recorded in a plain text
    "VXP file" *.vxp. The external program 'vxp2ps' converts these
    data into (vector) postscript, and 'vxp2dkw' can be used to
    convert them for use in the handwritten note editor deskwrite.
    Such Postscript files can be easily converted to PDF or SVG.

  * Xpaint can also read and rasterize *.vxp files (but at this point
    all operations that are not translated right away into vector data
    are ignored, even though they are recorded in the VXP file).

  * graphic.c, operation.c, misc.c, iprocess.c : extensive additions
    to implement VXP data processing.

  * share/c_scripts/procedures : canvas+vxp.c added as a new example.
    C scripts can be used to produce VXP data.

 -- Jean-Pierre Demailly <jean-pierre.demailly@univ-grenoble-alpes.fr>  Sat, 9 Jan 2021 15:09:36 +0200

xpaint (3.0.3-1) unstable; urgency=low

  * New upstream release.

  * This version of xpaint requires in principle libXaw3dXft-1.6.2h
    (but would run with 1.6.2d,e by removing the compilation flag
    -DHAVE_NEWEDITINGSTYLE)

  * graphic.c: a new option has been introduced, allowing xpaint to
    use more easily graphics tablets, more specifically the user space


=== control ===
Source: xpaint
Section: graphics
Priority: optional
Maintainer: Josue Abarca <jmaslibre@debian.org.gt>
Build-Depends: debhelper (>= 7.0.50~), libxaw3dxft8-dev, libjpeg-dev, 
 libxpm-dev, libtiff-dev, libpng-dev, libopenjp2-7-dev,
 libnetpbm11-dev | libnetpbm11-dev, dvipgm,
 xutils-dev, libxft-dev, bison, flex (>= 2.5.31-16),
 libxmu-dev, libxt-dev, libsm-dev, libice-dev, libxext-dev, libx11-dev,
 x11proto-core-dev, x11proto-xext-dev,
Standards-Version: 3.9.0
Vcs-Git: git://git.debian.org/collab-maint/xpaint.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xpaint.git
Homepage: https://sourceforge.net/projects/sf-xpaint/

Package: xpaint
Architecture: any
Depends: libxaw3dxft8 (>=1.6.2f), libxpm4, libpng12-0 | libpng16-16, libtiff4 | libtiff5, libjpeg62-turbo | libjpeg8, libopenjp2-7, libnetpbm10 | libnetpbm11, dvipgm, zlib1g, libx11-6, libxext6, libfreetype6, libfontconfig1
Suggests: netpbm, x-terminal-emulator, emacs, imagemagick, tesseract
Description: simple paint program for X
 XPaint is suitable for producing simple graphics. It does offer some
 advanced features such as image processing functions and gradient
 fill.
 .
 In the C Script Editor of XPaint, the External editor in the File menu
 will invoke x-terminal-emulator -e sensible-editor.
 .
 The gv package will be needed for PDF/PS reading, netpbm will be needed
 for external conversion, lpr for printing.

=== rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LIBSOURCE=Xaw3dxft

%:
	dh  $@

override_dh_auto_configure:
	#Added to avoid problems with git
	#(git does not index empty directories)
	-/bin/mkdir -p $(CURDIR)/app-defaults/out
	./configure --prefix=/usr
	# If using instead old Imake system !!!
	# ./configure.old

override_dh_shlibdeps:

override_dh_install:
	$(MAKE) install \
                DESTDIR=$(CURDIR)/debian/xpaint INCDIR=/usr/include
